Subject: bug#38257: Acknowledgement (27.0.50; ERC does not match or highlight nick surrounded by parens)

From: Amin Bandali <[email-masked]>
Date: Thu, 21 Nov 2019 20:06:28 -0500

Lars Ingebrigtsen <[email-masked]> writes:

[...]
>
> I haven't tried this patch, but doesn't this syntax table apply to all
> buttons in erc, including URLs?  So an URL like
> http://foo.bar/zot'foo would no longer be recognised properly?  (I'm not
> sure that it should, to be honest...)

It does indeed, and it didn't quite occur to me
when writing the patch; whoops.

But like Corwin, I too personally much rather
be notified of my nick getting highlighted in
exchange for losing some convenience with
respect to clickable links.

That said, from a brief chat with Tom Tromey in
#erc on freenode today, I agree with him that
one probably shouldn't make changes to syntax
tables lightly, without first considering all
possible cases.  I wonder if you or Tom would
be so kind to do such an audit for this change.
I'd also be open to other ways of doing this if
there's a better way.  I guess in general it is
kind of tricky to deal with these characters in
URLs.  At least one person I talked to earlier
today said they would expect the apostrophe to
be part of the URL (i.e. not a word boundary).
It may be even more tricky or more subjective
for parens.

Thoughts?